ReadOnlyStringProperty (JavaFX 28)
Description: declaration: module: javafx.base, package: javafx.beans.property, class: ReadOnlyStringProperty

# Class ReadOnlyStringProperty

java.lang.Object
javafx.beans.binding.StringExpression
javafx.beans.property.ReadOnlyStringProperty

All Implemented Interfaces:
  `Observable, ReadOnlyProperty<String>, ObservableObjectValue<String>, ObservableStringValue, ObservableValue<String>`

Direct Known Subclasses:
  `ReadOnlyStringPropertyBase, StringProperty`

public abstract class ReadOnlyStringProperty extends StringExpression implements ReadOnlyProperty<String>
Superclass for all readonly properties wrapping an `String`.

Since:
  JavaFX 2.0
See Also:
  - `ObservableStringValue`
  - `StringExpression`
  - `ReadOnlyProperty`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReadOnlyStringProperty()`
  The constructor of `ReadOnlyStringProperty`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  Returns a string representation of this `ReadOnlyStringProperty` object.

  ### Methods declared in class StringExpression

  `concat, getValue, getValueSafe, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, isEmpty, isEqualTo, isEqualTo, isEqualToIgnoreCase, isEqualToIgnoreCase, isNotEmpty, isNotEqualTo, isNotEqualTo, isNotEqualToIgnoreCase, isNotEqualToIgnoreCase, isNotNull, isNull, length, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, stringExpression`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface Observable

  `addListener, removeListener, subscribe`

  ### Methods declared in interface ObservableObjectValue

  `get`

  ### Methods declared in interface ObservableValue

  `addListener, flatMap, getValue, map, orElse, removeListener, subscribe, subscribe, when`

  ### Methods declared in interface ReadOnlyProperty

  `getBean, getName`

- ## Constructor Details

  - ### ReadOnlyStringProperty

    public ReadOnlyStringProperty()
    The constructor of `ReadOnlyStringProperty`.

- ## Method Details

  - ### toString

    public String toString()
    Returns a string representation of this `ReadOnlyStringProperty` object.
    Overrides:
      `toString` in class `Object`
    Returns:
      a string representation of this `ReadOnlyStringProperty` object.